/*
 * display.h
 *
 *  Created on: 19 Apr 2020
 *      Author: Chris
 */

#ifndef COMPONENTS_DISPLAY_DISPLAY_H_
#define COMPONENTS_DISPLAY_DISPLAY_H_

#include <freertos/FreeRTOS.h>
#include <freertos/task.h>
#include <esp_log.h>
#include <esp_err.h>
#include "clock.h"

esp_err_t init_display();
void display_data(int32_t temp_raw, uint32_t pressure_raw, uint32_t humidity_raw,
		int32_t temp2_raw, uint32_t pressure2_raw, uint32_t humidity2_raw,
		time_str_t time);
void update_data(int32_t temp_raw, uint32_t pressure_raw, uint32_t humidity_raw,
		int32_t temp2_raw, uint32_t pressure2_raw, uint32_t humidity2_raw,
		time_str_t time);

#endif /* COMPONENTS_DISPLAY_DISPLAY_H_ */
