/*
 * server.h
 *
 *  Created on: 21 Apr 2020
 *      Author: Chris
 */

#ifndef COMPONENTS_SERVER_SERVER_H_
#define COMPONENTS_SERVER_SERVER_H_

#include <freertos/FreeRTOS.h>
#include <freertos/event_groups.h>
#include <freertos/task.h>
#include <esp_event.h>
#include <esp_log.h>
#include <esp_http_server.h>
#include <sys/param.h>

void init_server();
void server_set_values(int32_t temp_raw, uint32_t pressure_raw, uint32_t humidity_raw,
		int32_t temp2_raw, uint32_t pressure2_raw, uint32_t humidity2_raw);

#endif /* COMPONENTS_SERVER_SERVER_H_ */
